Enable Apertium MT in Content Translation for those languages where it is supported
Open, NormalPublic

Description

Based on this comment, it seems that we are not providing MT for all languages Apertium is capable of. When MT is available, we should provide it. We have seen that low quality MT has not been an issue for those communities where we have enabled it.

I propose to go through the list of Apertium language pairs and verify that for the stable language pairs ("Trunk (released pairs)"), MT is available in Content Translation.
For those missing, we need to package and enable them.

Missing language pairs in CX (keep adding as we find out):

  • Welsh -> English
  • fr -> eo
  • es -> eo
  • ca -> eo
  • br -> fr
  • sme -> nob
  • dan -> nob
  • dan -> nno

This card tracks a proposal from the 2015 Community Wishlist Survey: https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey

This proposal received 15 support votes, and was ranked #51 out of 107 proposals. https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Editing#Enable_Apertium_on_cy.2C_for_Content_Translation

There are a very large number of changes, so older changes are hidden. Show Older Changes

Ongoing task and may continue through the entire release.

fr->eo, es->eo, ca->eo are ready and not yet uploaded.

Change 235404 had a related patch set uploaded (by KartikMistry):
Added Debian package for apertium-eo-fr

https://gerrit.wikimedia.org/r/235404

Change 235408 had a related patch set uploaded (by KartikMistry):
Added Debian package for apertium-eo-es

https://gerrit.wikimedia.org/r/235408

Change 235415 had a related patch set uploaded (by KartikMistry):
Add Debian package for apertium-eo-ca

https://gerrit.wikimedia.org/r/235415

Change 235408 merged by Alexandros Kosiaris:
Added Debian package for apertium-eo-es

https://gerrit.wikimedia.org/r/235408

Change 235415 merged by Alexandros Kosiaris:
Add Debian package for apertium-eo-ca

https://gerrit.wikimedia.org/r/235415

Change 235404 merged by Alexandros Kosiaris:
Added Debian package for apertium-eo-fr

https://gerrit.wikimedia.org/r/235404

KartikMistry closed this task as Resolved.Sep 7 2015, 5:37 AM
KartikMistry removed a project: Patch-For-Review.
KartikMistry moved this task from In Review to Done on the LE-CX6-Sprint 3 board.
Arrbee updated the task description. (Show Details)Sep 9 2015, 7:26 AM
Pginer-WMF reopened this task as Open.Oct 9 2015, 10:20 AM

According to this comment, Portuguese to Galician (pt-gl) is not working.
It seems to be supported in Apertium.

According to this comment, Portuguese to Galician (pt-gl) is not working.
It seems to be supported in Apertium.

This pair seems working fine. I'm checking for any errors occurred in log and report.

Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 15 2015, 9:01 AM

Breton (BR) to French (FR) seems to be supported by Apertium (only in the BR->FR direction). We may want to add support for it in CX.

Pginer-WMF updated the task description. (Show Details)Oct 28 2015, 9:15 AM
Pginer-WMF edited a custom field.

Change 249375 had a related patch set uploaded (by KartikMistry):
config: Add br-fr Apertium MT pair

https://gerrit.wikimedia.org/r/249375

Change 249376 had a related patch set uploaded (by KartikMistry):
Apertium: Add missing apertium-br-fr

https://gerrit.wikimedia.org/r/249376

Change 249376 merged by Filippo Giunchedi:
Apertium: Add missing apertium-br-fr

https://gerrit.wikimedia.org/r/249376

Change 249375 merged by jenkins-bot:
config: Add br-fr Apertium MT pair

https://gerrit.wikimedia.org/r/249375

KuboF removed a subscriber: KuboF.Oct 30 2015, 12:53 AM
Amire80 edited a custom field.Oct 30 2015, 11:32 AM
KartikMistry moved this task from In Progress to Done on the LE-CX7-Sprint 2 board.Nov 3 2015, 5:56 AM
KartikMistry updated the task description. (Show Details)
KartikMistry closed this task as Resolved.
Pginer-WMF reopened this task as Open.Nov 25 2015, 9:49 AM

According to this discussion, sme-nob is supported by CX, but not available in Content Translation.

Pginer-WMF updated the task description. (Show Details)Nov 25 2015, 9:49 AM
Arrbee renamed this task from Enable Apertium MT in Content Translation for those languages where it is supported to [Tracker] Enable Apertium MT in Content Translation for those languages where it is supported.Dec 2 2015, 1:51 PM
Arrbee added a comment.Dec 2 2015, 2:00 PM

This ticket is now a tracker and as new pairs are included in Apertium upstream, sub-tasks will be created and scheduled.

DannyH edited a custom field.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 20 2016, 4:54 AM
IMPORTANT: If you are a community developer interested in working on this task: The Wikimedia Hackathon 2016 (Jerusalem, March 31 - April 3) focuses on #Community-Wishlist-Survey projects. There is some budget for sponsoring volunteer developers. THE DEADLINE TO REQUEST TRAVEL SPONSORSHIP IS TODAY, JANUARY 21. Exceptions can be made for developers focusing on Community Wishlist projects until the end of Sunday 24, but not beyond. If you or someone you know is interested, please REGISTER NOW.
Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 10:26 PM
Unhammer updated the task description. (Show Details)Feb 1 2016, 12:24 PM
DannyH updated the task description. (Show Details)Feb 6 2016, 12:09 AM
Amire80 moved this task from CX8 to CX9 on the ContentTranslation board.Apr 20 2016, 12:34 PM
Danny_B renamed this task from [Tracker] Enable Apertium MT in Content Translation for those languages where it is supported to Enable Apertium MT in Content Translation for those languages where it is supported (tracking).May 31 2016, 3:18 PM
Danny_B added a project: Tracking.
Danny_B moved this task from Tag to Goal on the Tracking board.Jul 16 2016, 2:48 AM
Phabricator_maintenance renamed this task from Enable Apertium MT in Content Translation for those languages where it is supported (tracking) to Enable Apertium MT in Content Translation for those languages where it is supported.Aug 14 2016, 12:09 AM
Phabricator_maintenance removed a project: Tracking.
Restricted Application edited projects, added ContentTranslation; removed CX-deployments. · View Herald TranscriptJun 13 2018, 6:33 PM
Restricted Application edited projects, added ContentTranslation; removed CX-deployments. · View Herald TranscriptFri, Jun 22, 1:55 PM